pub mod structures;
pub mod read;
pub mod write;


pub use structures::{TimeStruct, SpectralData, ImageInfo, OneIRISData};
pub use structures::*;
pub use read::{read_time, read_spectral_data, read_image_info, read_iris_file};
pub use write::*;

#[tauri::command]
pub fn getoneirisfile(path:String)->OneIRISData{
    let returndata=read_iris_file(&path).unwrap();
    return  returndata;
    
}